org.apache.calcite.avatica.ha

## Class RoundRobinLBStrategy

- java.lang.Object
- - org.apache.calcite.avatica.ha.RoundRobinLBStrategy

All Implemented Interfaces:
  LBStrategy

    public class RoundRobinLBStrategy
    extends Object
    implements LBStrategy

Round Robin strategy for client side load balancing. Its implemented it as a singleton so that we can maintain state i.e. which URL was last used from the list of URLs specified.

### Field Summary

Fields
`static RoundRobinLBStrategy` `INSTANCE`
`static String` `URL_SEPERATOR_CHAR`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLbURL(ConnectionConfig config)` Get load balanced URL given the connection configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final RoundRobinLBStrategy INSTANCE

#### URL_SEPERATOR_CHAR

    public static final String URL_SEPERATOR_CHAR

See Also:
  Constant Field Values

### Method Detail

#### getLbURL

    public String getLbURL(ConnectionConfig config)

Description copied from interface: `LBStrategy`
Get load balanced URL given the connection configuration.

Specified by:
  `getLbURL` in interface `LBStrategy`